SuSE 10 Security Update : glibc (ZYPP Patch Number 7574)

Medium Nessus Plugin ID 57201

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

This update contains the following fixes :

- Specially crafted input to the fnmatch function could cause an integer overflow. (CVE-2011-1071)

- The output of the 'locale' command was not properly quoted. (CVE-2011-1095)

- Don't search the current directory if $ORIGIN is in RPATH of libraries called by setuid binaries.
(CVE-2011-0536)

- The update also includes fixes for non-security bugs.
Please refer to the package changelog for details.

Solution

Apply ZYPP patch number 7574.

See Also

http://support.novell.com/security/cve/CVE-2011-0536.html

http://support.novell.com/security/cve/CVE-2011-1071.html

http://support.novell.com/security/cve/CVE-2011-1095.html

Plugin Details

Severity: Medium

ID: 57201

File Name: suse_glibc-7574.nasl

Version: Revision: 1.2

Type: local

Agent: unix

Published: 2011/12/13

Updated: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/06/16

Reference Information

CVE: CVE-2011-0536, CVE-2011-1071, CVE-2011-1095